%global momorel 3

# vendor string (e.g., Momonga, Fedora, EL)
%global vvendor Momonga

# Where dhcp configuration files are stored
%global dhcpconfdir %{_sysconfdir}/dhcp

# Patch version
%global patchver P1

%global VERSION %{version}-%{patchver}

# LDAP patch version
%global ldappatchver %{version}-2

Summary:  Dynamic host configuration protocol software
Name:     dhcp
Version:  4.1.1
Release:  %{momorel}m%{?dist}
License:  Modified BSD
Group:    System Environment/Daemons
URL:      http://isc.org/products/DHCP/
Source0:  ftp://ftp.isc.org/isc/dhcp/dhcp-%{VERSION}.tar.gz
NoSource: 0
Source1:  http://cloud.github.com/downloads/dcantrell/ldap-for-dhcp/ldap-for-dhcp-%{ldappatchver}.tar.gz
NoSource: 1
Source2:  dhcpd.init
Source3:  dhcrelay.init
Source4:  dhclient-script
Source5:  README.dhclient.d
Source6:  10-dhclient
Source7:  56dhclient
Source8:  dhcpd6.init

Patch0:   %{name}-4.1.1-errwarn-message.patch
Patch1:   %{name}-4.1.1-options.patch
Patch2:   %{name}-4.1.1-release-by-ifup.patch
Patch3:   %{name}-4.1.1-dhclient-decline-backoff.patch
Patch4:   %{name}-4.1.1-unicast-bootp.patch
Patch5:   %{name}-4.1.1-failover-ports.patch
Patch6:   %{name}-4.1.1-dhclient-usage.patch
Patch7:   %{name}-4.1.1-default-requested-options.patch
Patch8:   %{name}-4.1.1-xen-checksum.patch
Patch9:   %{name}-4.1.1-dhclient-anycast.patch
Patch10:  %{name}-4.1.1-manpages.patch
Patch11:  %{name}-4.1.1-paths.patch
Patch12:  %{name}-4.1.1-CLOEXEC.patch
Patch13:  %{name}-4.1.1-inherit-leases.patch
Patch14:  %{name}-4.1.1-garbage-chars.patch
Patch15:  %{name}-4.1.1-invalid-dhclient-conf.patch
Patch16:  %{name}-4.1.1-missing-ipv6-not-fatal.patch
Patch17:  %{name}-4.1.1-IFNAMSIZ.patch
Patch18:  %{name}-4.1.1-add_timeout_when_NULL.patch
Patch19:  %{name}-4.1.1-64_bit_lease_parse.patch
Patch20:  %{name}-4.1.1-capability.patch
Patch21:  %{name}-4.1.1-logpid.patch
Patch22:  %{name}-4.1.1-UseMulticast.patch
Patch23:  %{name}-4.1.1-sendDecline.patch
Patch24:  %{name}-4.1.1-retransmission.patch
Patch25:  %{name}-4.1.1-release6-elapsed.patch
Patch26:  %{name}-4.1.1-initialization-delay.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: groff
BuildRequires: libtool
BuildRequires: openldap-devel
BuildRequires: openssl-devel >= 1.0.0
BuildRequires: libcap-ng-devel

Requires(post): chkconfig
Requires(post): coreutils
Requires(preun): chkconfig
Requires(preun): initscripts
Requires(postun): initscripts
Obsoletes: dhcpv6

%description
DHCP (Dynamic Host Configuration Protocol) is a protocol which allows
individual devices on an IP network to get their own network
configuration information (IP address, subnetmask, broadcast address,
etc.) from a DHCP server. The overall purpose of DHCP is to make it
easier to administer a large network.  The dhcp package includes the
ISC DHCP service and relay agent.

To use DHCP on your network, install a DHCP service (or relay agent),
and on clients run a DHCP client daemon.  The dhcp package provides
the ISC DHCP service and relay agent.

%package -n dhclient
Summary: Provides the dhclient ISC DHCP client daemon and dhclient-script
Group: System Environment/Base
Requires: initscripts >= 6.75
Requires(post): coreutils
Requires(post): grep
Obsoletes: dhcpcd
Obsoletes: libdhcp4client
Obsoletes: libdhcp
Obsoletes: dhcpv6-client

%description -n dhclient
DHCP (Dynamic Host Configuration Protocol) is a protocol which allows
individual devices on an IP network to get their own network
configuration information (IP address, subnetmask, broadcast address,
etc.) from a DHCP server. The overall purpose of DHCP is to make it
easier to administer a large network.

To use DHCP on your network, install a DHCP service (or relay agent),
and on clients run a DHCP client daemon.  The dhclient package
provides the ISC DHCP client daemon.

%package devel
Summary: Development headers and libraries for interfacing to the DHCP server
Group: Development/Libraries
Obsoletes: libdhcp4client-devel
Obsoletes: libdhcp-devel
Requires: %{name} = %{version}-%{release}

%description devel
Header files and API documentation for using the ISC DHCP libraries.  The
libdhcpctl and libomapi static libraries are also included in this package.

%prep
%setup -q -n dhcp-%{VERSION}
%setup -T -D -a 1 -n dhcp-%{VERSION}

# Add in LDAP support
%{__patch} -p1 < ldap-for-dhcp-%{ldappatchver}/dhcp-%{version}-ldap.patch

# Replace the standard ISC warning message about requesting help with an
# explanation that this is a patched build of ISC DHCP and bugs should be
# reported through bugzilla.redhat.com
%patch0 -p1 -b .errwarn

# Add more dhclient options (-I, -B, -H, -F, -timeout, -V, and -R)
%patch1 -p1 -b .options

# Handle releasing interfaces requested by /sbin/ifup
# pid file is assumed to be /var/run/dhclient-$interface.pid
%patch2 -p1 -b .ifup

# If we receive a DHCP offer in dhclient and it's DECLINEd in dhclient-script,
# backoff for an amount of time before trying again
%patch3 -p1 -b .backoff

# Support unicast BOOTP for IBM pSeries systems (and maybe others)
# (Submitted to dhcp-bugs@isc.org - [ISC-Bugs #19146])
%patch4 -p1 -b .unicast

# Use the following IANA-registered failover ports:
# dhcp-failover 647/tcp
# dhcp-failover 647/udp
# dhcp-failover 847/tcp
# dhcp-failover 847/udp
%patch5 -p1 -b .failover-ports

# Update the usage screen for dhclient(8) indicating new options
# Use printf() rather than log_info() to display the information
# Also, return EXIT_FAILURE when the usage() screen is displayed (stop parsing)
%patch6 -p1 -b .usage

# Add NIS domain, NIS servers, NTP servers, interface-mtu and domain-search
# to the list of default requested DHCP options
%patch7 -p1 -b .requested

# Handle Xen partial UDP checksums
%patch8 -p1 -b .xen

# Add anycast support to dhclient (for OLPC)
%patch9 -p1 -b .anycast

# Patch man page contents
%patch10 -p1 -b .man

# Change paths to conform to our standards
%patch11 -p1 -b .paths

# Make sure all open file descriptors are closed-on-exec for SELinux (#446632)
# (Submitted to dhcp-bugs@isc.org - [ISC-Bugs #19148])
%patch12 -p1 -b .cloexec

# If we have an active lease, do not down the interface (#453982)
%patch13 -p1 -b .inherit

# Fix 'garbage in format string' error (#450042)
%patch14 -p1 -b .garbage

# The sample dhclient.conf should say 'supersede domain-search' (#467955)
# (Submitted to dhcp-bugs@isc.org - [ISC-Bugs #19147])
%patch15 -p1 -b .supersede

# If the ipv6 kernel module is missing, do not segfault
# (Submitted to dhcp-bugs@isc.org - [ISC-Bugs #19367])
%patch16 -p1 -b .noipv6

# Read only up to IFNAMSIZ characters for the interface name in dhcpd (#441524)
%patch17 -p1 -b .ifnamsiz

# Handle cases in add_timeout() where the function is called with a NULL
# value for the 'when' parameter
# (Submitted to dhcp-bugs@isc.org - [ISC-Bugs #19867])
%patch18 -p1 -b .dracut

# Ensure 64-bit platforms parse lease file dates & times correctly (#448615)
%patch19 -p1 -b .64-bit_lease_parse

# Drop unnecessary capabilities in dhclient (#517649, #546765)
%patch20 -p1 -b .capability

# dhclient logs its pid to make troubleshooting NM managed systems
# with multiple dhclients running easier (#546792)
%patch21 -p1 -b .logpid

# Discard unicast Request/Renew/Release/Decline message
# (unless we set unicast option) and respond with Reply
# with UseMulticast Status Code option (#573090)
# (Submitted to dhcp-bugs@isc.org - [ISC-Bugs #21235])
%patch22 -p1 -b .UseMulticast

# If any of the bound addresses are found to be in use on the link,
# the dhcpv6 client sends a Decline message to the server
# as described in section 18.1.7 of RFC-3315 (#559147)
# (Submitted to dhcp-bugs@isc.org - [ISC-Bugs #21237])
%patch23 -p1 -b .sendDecline

# In client initiated message exchanges stop retransmission
# upon reaching the MRD rather than at some point after it (#559153)
# (Submitted to dhcp-bugs@isc.org - [ISC-Bugs #21238])
%patch24 -p1 -b .retransmission

# Fill in Elapsed Time Option in Release message (#582939)
# (Submitted to dhcp-bugs@isc.org - [ISC-Bugs #21171])
%patch25 -p1 -b .release6-elapsed

# Cut down the 0-4 second delay before sending first DHCPDISCOVER (#587070)
%patch26 -p1 -b .initialization-delay

# Copy in documentation and example scripts for LDAP patch to dhcpd
%{__install} -p -m 0755 ldap-for-dhcp-%{ldappatchver}/dhcpd-conf-to-ldap contrib/

# Copy in the Fedora/RHEL dhclient script
%{__install} -p -m 0755 %{SOURCE4} client/scripts/linux
%{__install} -p -m 0644 %{SOURCE5} .

# Ensure we don't pick up Perl as a dependency from the scripts and modules
# in the contrib directory (we copy this to /usr/share/doc in the final
# package).
%{__cp} -pR contrib __fedora_contrib
pushd __fedora_contrib
%{__chmod} -x 3.0b1-lease-convert dhclient-tz-exithook.sh dhcpd-conf-to-ldap
%{__chmod} -x sethostname.sh solaris.init
%{__mv} ms2isc/Registry.pm ms2isc/Registry.perlmodule
%{__rm} -f dhcp.spec

# We want UNIX-style line endings
%{__sed} -i -e 's/\r//' ms2isc/readme.txt
%{__sed} -i -e 's/\r//' ms2isc/Registry.perlmodule
%{__sed} -i -e 's/\r//' ms2isc/ms2isc.pl
popd

# Filter false positive perl requires (all of them)
%{__cat} << EOF > %{name}-req
#!/bin/sh
%{__perl_requires} \
| %{__grep} -v 'perl('
EOF
%global __perl_requires %{_builddir}/%{name}-%{VERSION}/%{name}-req
%{__chmod} +x %{__perl_requires}

# Replace @PRODUCTNAME@
%{__sed} -i -e 's|@PRODUCTNAME@|%{vvendor}|g' common/dhcp-options.5
%{__sed} -i -e 's|@PRODUCTNAME@|%{vvendor}|g' configure.ac

# Update paths in all man pages
for page in client/dhclient.conf.5 client/dhclient.leases.5 \
            client/dhclient-script.8 client/dhclient.8 ; do
    %{__sed} -i -e 's|CLIENTBINDIR|/sbin|g' \
                -e 's|RUNDIR|%{_localstatedir}/run|g' \
                -e 's|DBDIR|%{_localstatedir}/lib/dhclient|g' \
                -e 's|ETCDIR|%{dhcpconfdir}|g' $page
done

for page in server/dhcpd.conf.5 server/dhcpd.leases.5 server/dhcpd.8 ; do
    %{__sed} -i -e 's|CLIENTBINDIR|/sbin|g' \
                -e 's|RUNDIR|%{_localstatedir}/run|g' \
                -e 's|DBDIR|%{_localstatedir}/lib/dhcpd|g' \
                -e 's|ETCDIR|%{dhcpconfdir}|g' $page
done

aclocal
libtoolize --copy --force
autoconf
autoheader
automake --foreign --add-missing --copy

%build
CFLAGS="%{optflags} -fno-strict-aliasing -fPIC -D_GNU_SOURCE" \
%configure \
    --enable-dhcpv6 \
    --with-srv-lease-file=%{_localstatedir}/lib/dhcpd/dhcpd.leases \
    --with-srv6-lease-file=%{_localstatedir}/lib/dhcpd/dhcpd6.leases \
    --with-cli-lease-file=%{_localstatedir}/lib/dhclient/dhclient.leases \
    --with-cli6-lease-file=%{_localstatedir}/lib/dhclient/dhclient6.leases \
    --with-srv-pid-file=%{_localstatedir}/run/dhcpd.pid \
    --with-srv6-pid-file=%{_localstatedir}/run/dhcpd6.pid \
    --with-cli-pid-file=%{_localstatedir}/run/dhclient.pid \
    --with-cli6-pid-file=%{_localstatedir}/run/dhclient6.pid \
    --with-relay-pid-file=%{_localstatedir}/run/dhcrelay.pid \
    --with-ldap \
    --with-ldapcrypto
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}

# Remove files we don't want
%{__rm} -f %{buildroot}%{_sysconfdir}/dhclient.conf
%{__rm} -f %{buildroot}%{_sysconfdir}/dhcpd.conf

# Install correct dhclient-script
%{__mkdir} -p %{buildroot}/sbin
%{__mv} %{buildroot}%{_sbindir}/dhclient %{buildroot}/sbin/dhclient
%{__install} -p -m 0755 client/scripts/linux %{buildroot}/sbin/dhclient-script

# Install init scripts
%{__mkdir} -p %{buildroot}%{_initscriptdir}
%{__install} -p -m 0755 %{SOURCE2} %{buildroot}%{_initscriptdir}/dhcpd
%{__install} -p -m 0755 %{SOURCE8} %{buildroot}%{_initscriptdir}/dhcpd6
%{__install} -p -m 0755 %{SOURCE3} %{buildroot}%{_initscriptdir}/dhcrelay

# Start empty lease databases
%{__mkdir} -p %{buildroot}%{_localstatedir}/lib/dhcpd/
touch %{buildroot}%{_localstatedir}/lib/dhcpd/dhcpd.leases
touch %{buildroot}%{_localstatedir}/lib/dhcpd/dhcpd6.leases
%{__mkdir} -p %{buildroot}%{_localstatedir}/lib/dhclient/

# Create default sysconfig files for dhcpd and dhcrelay
%{__mkdir} -p %{buildroot}%{_sysconfdir}/sysconfig

%{__cat} << EOF > %{buildroot}%{_sysconfdir}/sysconfig/dhcrelay
# Command line options here
INTERFACES=""
DHCPSERVERS=""
EOF

%{__cat} <<EOF > %{buildroot}%{_sysconfdir}/sysconfig/dhcpd
# Command line options here
DHCPDARGS=
EOF

%{__cat} <<EOF > %{buildroot}%{_sysconfdir}/sysconfig/dhcpd6
# Command line options here
DHCPDARGS=
EOF

# Copy sample conf files into position (called by doc macro)
%{__cp} -p client/dhclient.conf dhclient.conf.sample
%{__cp} -p server/dhcpd.conf dhcpd.conf.sample
%{__cp} -p doc/examples/dhclient-dhcpv6.conf dhclient6.conf.sample
%{__cp} -p doc/examples/dhcpd-dhcpv6.conf dhcpd6.conf.sample

# Install default (empty) dhcpd.conf:
%{__mkdir} -p %{buildroot}%{dhcpconfdir}
%{__cat} << EOF > %{buildroot}%{dhcpconfdir}/dhcpd.conf
#
# DHCP Server Configuration file.
#   see /usr/share/doc/dhcp*/dhcpd.conf.sample
#   see 'man 5 dhcpd.conf'
#
EOF

# Install default (empty) dhcpd6.conf:
%{__cat} << EOF > %{buildroot}%{dhcpconfdir}/dhcpd6.conf
#
# DHCP for IPv6 Server Configuration file.
#   see /usr/share/doc/dhcp*/dhcpd6.conf.sample
#   see 'man 5 dhcpd.conf'
#   run 'service dhcpd6 start' or 'dhcpd -6 -cf /etc/dhcp/dhcpd6.conf'
#
EOF

# Install dhcp.schema for LDAP configuration
%{__mkdir} -p %{buildroot}%{_sysconfdir}/openldap/schema
%{__install} -p -m 0644 -D ldap-for-dhcp-%{ldappatchver}/dhcp.schema \
    %{buildroot}%{_sysconfdir}/openldap/schema

# Install empty directory for dhclient.d scripts
%{__mkdir} -p %{buildroot}%{dhcpconfdir}/dhclient.d

# Install NetworkManager dispatcher script
%{__mkdir} -p %{buildroot}%{_sysconfdir}/NetworkManager/dispatcher.d
%{__install} -p -m 0755 %{SOURCE6} %{buildroot}%{_sysconfdir}/NetworkManager/dispatcher.d

# Install pm-utils script to handle suspend/resume and dhclient leases
%{__mkdir} -p %{buildroot}%{_libdir}/pm-utils/sleep.d
%{__install} -p -m 0755 %{SOURCE7} %{buildroot}%{_libdir}/pm-utils/sleep.d

%clean
%{__rm} -rf %{buildroot}

%post
sampleconf="#
# DHCP Server Configuration file.
#   see /usr/share/doc/dhcp*/dhcpd.conf.sample
#   see 'man 5 dhcpd.conf'
#"

contents="$(/bin/cat %{dhcpconfdir}/dhcpd.conf)"
prevconf="%{_sysconfdir}/dhcpd.conf"

if [ ! -z "${prevconf}" ]; then
    if [ ! -f %{dhcpconfdir}/dhcpd.conf -o "${sampleconf}" = "${contents}" ]; then
        /bin/cp -a ${prevconf} %{dhcpconfdir}/dhcpd.conf >/dev/null 2>&1
        /bin/mv ${prevconf} ${prevconf}.rpmsave >/dev/null 2>&1
        if [ -x /sbin/restorecon ]; then
            /sbin/restorecon %{dhcpconfdir}/dhcpd.conf >/dev/null 2>&1
        fi
    fi
fi

/sbin/chkconfig --add dhcpd
/sbin/chkconfig --add dhcpd6
/sbin/chkconfig --add dhcrelay || :

%post -n dhclient
/bin/ls -1 %{_sysconfdir}/dhclient* >/dev/null 2>&1
if [ $? = 0 ]; then
    /bin/ls -1 %{_sysconfdir}/dhclient* | \
    /bin/grep -v "\.rpmsave$" 2>/dev/null | \
    while read etcfile ; do
        cf="$(/bin/basename ${etcfile})"
        if [ -f ${etcfile} ] && [ ! -r %{dhcpconfdir}/${cf} ]; then
            /bin/cp -a ${etcfile} %{dhcpconfdir}/${cf} >/dev/null 2>&1
            if [ -x /sbin/restorecon ]; then
                /sbin/restorecon %{dhcpconfdir}/${cf} >/dev/null 2>&1
            fi
        fi
    done || :
fi || :

%preun
if [ $1 = 0 ]; then
    /sbin/service dhcpd stop >/dev/null 2>&1
    /sbin/service dhcpd6 stop >/dev/null 2>&1
    /sbin/service dhcrelay stop >/dev/null 2>&1

    /sbin/chkconfig --del dhcpd
    /sbin/chkconfig --del dhcpd6
    /sbin/chkconfig --del dhcrelay || :
fi

%postun
if [ $1 -ge 1 ]; then
    /sbin/service dhcpd condrestart >/dev/null 2>&1
    /sbin/service dhcpd6 condrestart >/dev/null 2>&1
    /sbin/service dhcrelay condrestart >/dev/null 2>&1 || :
fi

%files
%defattr(-,root,root,-)
%doc LICENSE README ldap-for-dhcp-%{ldappatchver}/README.ldap
%doc RELNOTES dhcpd.conf.sample dhcpd6.conf.sample doc/IANA-arp-parameters doc/api+protocol
%doc doc/*.txt __fedora_contrib/* ldap-for-dhcp-%{ldappatchver}/*.txt
%dir %{_localstatedir}/lib/dhcpd
%verify(not size md5 mtime) %config(noreplace) %{_localstatedir}/lib/dhcpd/dhcpd.leases
%verify(not size md5 mtime) %config(noreplace) %{_localstatedir}/lib/dhcpd/dhcpd6.leases
%config(noreplace) %{_sysconfdir}/sysconfig/dhcpd
%config(noreplace) %{_sysconfdir}/sysconfig/dhcpd6
%config(noreplace) %{_sysconfdir}/sysconfig/dhcrelay
%config(noreplace) %{dhcpconfdir}/dhcpd.conf
%config(noreplace) %{dhcpconfdir}/dhcpd6.conf
%config(noreplace) %{_sysconfdir}/openldap/schema/dhcp.schema
%config %{_initscriptdir}/dhcpd
%config %{_initscriptdir}/dhcpd6
%config %{_initscriptdir}/dhcrelay
%{_bindir}/omshell
%{_sbindir}/dhcpd
%{_sbindir}/dhcrelay
%attr(0644,root,root) %{_mandir}/man1/omshell.1*
%attr(0644,root,root) %{_mandir}/man5/dhcpd.conf.5*
%attr(0644,root,root) %{_mandir}/man5/dhcpd.leases.5*
%attr(0644,root,root) %{_mandir}/man8/dhcpd.8*
%attr(0644,root,root) %{_mandir}/man8/dhcrelay.8*
%attr(0644,root,root) %{_mandir}/man5/dhcp-options.5*
%attr(0644,root,root) %{_mandir}/man5/dhcp-eval.5*

%files -n dhclient
%defattr(-,root,root,-)
%doc dhclient.conf.sample dhclient6.conf.sample README.dhclient.d
%attr(0750,root,root) %dir %{dhcpconfdir}
%dir %{dhcpconfdir}/dhclient.d
%dir %{_localstatedir}/lib/dhclient
%{_sysconfdir}/NetworkManager/dispatcher.d/10-dhclient
/sbin/dhclient
/sbin/dhclient-script
%attr(0755,root,root) %{_libdir}/pm-utils/sleep.d/56dhclient
%attr(0644,root,root) %{_mandir}/man5/dhclient.conf.5*
%attr(0644,root,root) %{_mandir}/man5/dhclient.leases.5*
%attr(0644,root,root) %{_mandir}/man8/dhclient.8*
%attr(0644,root,root) %{_mandir}/man8/dhclient-script.8*

%files devel
%defattr(-,root,root,-)
%{_includedir}/dhcpctl
%{_includedir}/isc-dhcp
%{_includedir}/omapip
%{_libdir}/libdhcpctl.a
%{_libdir}/libomapi.a
%{_libdir}/libdst.a
%attr(0644,root,root) %{_mandir}/man3/dhcpctl.3*
%attr(0644,root,root) %{_mandir}/man3/omapi.3*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (4.1.1-3m)
- full rebuild for mo7 release

* Wed Jun 10 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.1.1-2m)
- revise %%files to avoid conflicting

* Thu Jun 10 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.1.1-1m)
- [SECURITY] CVE-2010-2156
- sync with Fedora 13 (4.1.1-22.P1)

* Sat May  1 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.1.0-7m)
- explicitly link liblber (Patch200)

* Sun Apr  4 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.1.0-6m)
- rebuild against openssl-1.0.0

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.1.0-5m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon Jul 20 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.1.0-4m)
- [SECURITY] CVE-2009-1892
- import a security patch (Patch101) from Red Hat Bugzilla
-- https://bugzilla.redhat.com/show_bug.cgi?id=509845

* Thu Jul 16 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.1.0-3m)
- [SECURITY] CVE-2009-0692
- import upstream patch (Patch100)

* Tue Apr 07 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.1.0-2m)
- rebuild against openssl-0.9.8k

* Fri Mar 13 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (4.1.0-1m)
- update 4.1.0

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.0.0-8m)
- rebuild against rpm-4.6

* Wed Jan 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.0.0-7m)
- update Patch4,7 for fuzz=0

* Tue Jun  3 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0.0-6m)
- rebuild against openssl-0.9.8h-1m

* Mon May  5 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (4.0.0-5m)
- add Fedora Patch(dhcp-4.0.0-14)

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.0.0-4m)
- rebuild against gcc43

* Tue Feb 26 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (4.0.0-3m)
- rebuild against openldap-2.4.8

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (4.0.0-2m)
- %%NoSource -> NoSource

* Fri Jan 11 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.1.0-3m)
- add patch for gcc43

* Fri Jan 11 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.1.0-2m)
- good-bye dhcp-static

* Fri Jan 11 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (3.1.0-1m)
- update 3.1.0

* Mon Jul 23 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.0.5-10m)
- move start up script from %%{_initrddir} to %%{_initscriptdir}

* Sun Jun 10 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.0.5-9m)
- remove static archive from devel package

* Sun Jun 10 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.0.5-8m)
- fix Requires (remove epoch)

* Sat Jun  9 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (3.0.5-7m)
- sync Fedora

* Sun Apr 22 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (3.0.5-6m)
- add sub-package libdhcp4client-static

* Tue Mar 13 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (3.0.5-5m)
- support gcc-4.2
-- dhcp-3.0.5-gcc42.patch

* Thu Mar  8 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (3.0.5-4m)
- sync fc-devel(3.0.5-25)

* Tue Feb 12 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (3.0.5-2m)
- sync fc-devel

* Wed Jan 24 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (3.0.5-1m)
- update 3.0.5

* Sun Jan  7 2007 Dai OKUYAMA <dai@ouchi.nahi.to>
- (3.0.4-3m)
- enable ppc64

* Sun Jul  2 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (3.0.4-2m)
- merge from fc-devel 3.0.4-17

* Sat Jun 24 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (3.0.4-1m)
- merge from fc-devel 3.0.4-14

* Sun Jun 18 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (3.0.3-2m)
- merge from fc5 3.0.3-26

* Wed Jan 04 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.0.3-1m)
- merge from fc-devel 3.0.3-18

-* Tue Dec 20 2005 Jason Vas Dias <jvdias@redhat.com> - 11:3.0.3-18
-- fix bug 176270: allow routers with an octet of 255 in their IP address
-
-* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
-- rebuilt
-
-* Mon Dec 05 2005 Jason Vas Dias <jvdias@redhat.com> - 11:3.0.3-16
-- fix gcc 4.1 compile warnings (-Werror)
-
-* Fri Nov 19 2005 Jason Vas Dias <jvdias@redhat.com> - 11:3.0.3-12
-- fix bug 173619: dhclient-script should reconfig on RENEW if 
-                  subnet-mask, broadcast-address, mtu, routers, etc.
-		  have changed
-- apply upstream improvements to trailing nul options fix of bug 160655
-  
-* Tue Nov 15 2005 Jason Vas Dias <jvdias@redhat.com> - 11:3.0.3-11
-- Rebuild for FC-5
-- fix bug 167028 - test IBM's unicast bootp patch (from xma@us.ibm.com)
-- fix bug 171312 - silence chkconfig error message if ypbind not installed
-- fix dhcpd.init when -cf arg given to dhcpd
-- make dhcpd init touch /var/lib/dhcpd/dhcpd.leases, not /var/lib/dhcp/dhcpd.leases
-
-* Tue Oct 18 2005 Jason Vas Dias <jvdias@redhat.com> - 11:3.0.3-10
-- Allow dhclient route metrics to be specified with DHCP options:
-  The dhcp-options(5) man-page states:
-  'option routers ... Routers should be listed in order of preference' 
-  and
-  'option static-routes ... are listed in descending order of priority' .
-  No preference / priority could be set with previous dhclient-script .
-  Now, dhclient-script provides: 
-  Default Gateway (option 'routers') metrics:
-    Instead of allowing only one default gateway, if more than one router 
-    is specified in the routers option, routers following the first router
-    will have a 'metric' of their position in the list (1,...N>1).
-  Option static-routes metrics:
-    If a target appears in the list more than once, routes for duplicate
-    targets will have successively greater metrics, starting at 1.
-
-* Mon Oct 17 2005 Jason Vas Dias <jvdias@redhat.com> - 11:3.0.3-8
-- further fix for bug 160655 / ISC bug 15293 - upstream patch:
-  do NOT always strip trailing nulls in the dhcpd server
-- handle static-routes option properly in dhclient-script :
-  trailing 0 octets in the 'target' IP specify the class -
-  ie '172.16.0.0 w.x.y.z' specifies '172.16/16 via w.x.y.z'.
-
-* Fri Sep 23 2005 Jason Vas Dias <jvdias@redhat.com> - 11:3.0.3-7
-- fix bug 169164: separate /var/lib/{dhcpd,dhclient} directories
-- fix bug 167292: update failover port info in dhcpd.conf.5; give
-                  failover ports default values in server/confpars.c
- 
-* Mon Sep 12 2005 Jason Vas Dias <jvdias@redhat.com> - 11:3.0.3-6
-- fix bug 167273: time-offset should not set timezone by default
-                  tzdata's Etc/* files are named with reverse sign
-                  for hours west - ie. 'GMT+5' is GMT offset -18000seconds.
-
-* Mon Aug 29 2005 Jason Vas Dias <jvdias@redhat.com> - 11:3.0.3-4
-- fix bug 166926: make dhclient-script handle interface-mtu option
-  make dhclient-script support /etc/dhclient{,-$IF}-{up,down}-hooks scripts
-  to allow easy customization to support other non-default DHCP options -
-  documented in 'man 8 dhclient-script' .
-- handle the 'time-offset' DHCP option, requested by default.
-
-* Tue Aug 23 2005 Jason Vas Dias <jvdias@redhat.com> - 11:3.0.3-3
-- fix bug 160655: strip trailing '\0' bytes from text options before append
-- fix gcc4 compiler warnings ; now compiles with -Werror
-- add RPM_OPT_FLAGS to link as suggested in gcc man-page on '-pie' option
-- change ISC version string to 'V3.0.3-RedHat' at request of ISC
-
-* Tue Aug  9 2005 Jeremy Katz <katzj@redhat.com> - 11:3.0.3-2
-- don't explicitly require 2.2 era kernel, it's fairly overkill at this point
-
-* Fri Jul 29 2005 Jason Vas Dias <jvdias@redhat.com> 11:3.0.3-1
-- Upgrade to upstream version 3.0.3 
-- Don't apply the 'default boot file server' patch: legacy
-  dhcp behaviour broke RFC 2131, which requires that the siaddr
-  field only be non-zero if the next-server or tftp-server-name
-  options are specified.
-- Try removing the 1-5 second wait on dhclient startup altogether.
-- fix bug 163367: supply default configuration file for dhcpd
- 
-* Thu Jul 14 2005 Jason Vas Dias <jvdias@redhat.com> 10:3.0.3rc1-1
-- Upgrade to upstream version 3.0.3rc1
-- fix bug 163203: silence ISC blurb on configtest 
-- fix default 'boot file server' value (packet->siaddr):
-  In dhcp-3.0.2(-), this was defaulted to the server address;
-  now it defaults to 0.0.0.0 (a rather silly default!) and 
-  must be specified with the 'next-server' option ( not the tftp-boot-server option ?!?)
-  which causes PXE boot clients to fail to load anything after the boot file.
-

* Sun Mar 27 2005 Mitsuru Shimamura <smbd@momonga-linux.org>
- (3.0.2-1m)
- up to 3.0.2

* Sat Jan  7 2005 Toru Hoshina <t@momonga-linux.org>
- (3.0.1-2m)
- '__attribute__ ((mode (__byte__)))' doesn't work on gcc-3.4.3 env.
 
* Sat Jul 17 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (3.0.1-1m)
- import patch from rawhide

* Sun May 16 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (3.0pl2-1m)
- verup

* Thu Oct 16 2003 Ryu SASAOKA <ryu@momonga-linux.org>
- (3.0.1-0.12.3m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Mon Sep 15 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (3.0.1-0.12.2m)
- dhclient
- dhcp-devel

* Sat Aug 30 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (3.0.1-0.12.1m)
- update to 3.0.1rc12

* Thu Jan 16 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.0.1-0.11.1m)
- [security fix] see http://www.cert.org/advisories/CA-2003-01.html
- update to 3.0.1rc11

* Fri Nov  8 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.0.1-0.10.1m)
- update to 3.0.1rc10

* Sat Sep 28 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.0.1-0.9.1m)
- update to 3.0.1rc9
- add URL tag


* Thu May  9 2002 Kazuhiko <kazuhiko@kondara.org>
- (3.0-8k)
- 3.0pl1
- security fix version (http://www.cert.org/advisories/CA-2002-12.html)

* Mon Jan 28 2002 Kazuhiko <kazuhiko@kondara.org>
- (3.0-6k)
- make empty dhcpd.leases if not present

* Fri Dec 14 2001 Toru Hoshina <t@kondara.org>
- (3.0-4k)
- revised dhcpd.conf.sample.

* Fri Oct 19 2001 Toru Hoshina <t@kondara.org>
- (3.0-2k)
- merge from Jirai.

* Fri Oct 05 2001 Motonobu Ichimura <famao@kondara.org>
- (3.0-3k)
- 3.0 official release

* Fri Apr 13 2001 Shingo Akagaki <dora@kondara.org>
- /etc/rc.d/init.d -> /etc/init.d

* Sat Feb  3 2001 Daiki Matsuda <dyky@df-usa.com>
- (2.0-21k)
- rebuild againt rpm-3.0.5-39k

* Sat Dec  2 2000 Daiki Matsuda <dyky@df-usa.com>
- (2.0-19k)
- modified dhcp-2.0-buildroot.patch and spec filie for compatiblity

* Tue Nov 28 2000 Toru Hoshina <toru@df-usa.com>
- use _initscriptdir macro to keep backword compatibility.

* Fri Aug 18 2000 Toru Hoshina <t@kondara.org>
- merge from pinstripe.

* Wed Jul 19 2000 Jakub Jelinek <jakub@redhat.com>
- rebuild to cope with glibc locale binary incompatibility

* Sat Jul 15 2000 Bill Nottingham <notting@redhat.com>
- move initscript back

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Fri Jul  7 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- /etc/rc.d/init.d -> /etc/init.d
- fix /var/state/dhcp -> /var/lib/dhcp

* Fri Jun 16 2000 Preston Brown <pbrown@redhat.com>
- condrestart for initscript, graceful upgrades.

* Thu Feb 03 2000 Erik Troan <ewt@redhat.com>
- gzipped man pages
- marked /etc/rc.d/init.d/dhcp as a config file

* Mon Jan 24 2000 Jakub Jelinek <jakub@redhat.com>
- fix booting of JavaStations
  (reported by Pete Zaitcev <zaitcev@metabyte.com>).
- fix SIGBUS crashes on SPARC (apparently gcc is too clever).

* Fri Sep 10 1999 Bill Nottingham <notting@redhat.com>
- chkconfig --del in %preun, not %postun

* Mon Aug 16 1999 Bill Nottingham <notting@redhat.com>
- initscript munging

* Fri Jun 25 1999 Jeff Johnson <jbj@redhat.com>
- update to 2.0.

* Fri Jun 18 1999 Bill Nottingham <notting@redhat.com>
- don't run by default

* Wed Jun  2 1999 Jeff Johnson <jbj@redhat.com>
- update to 2.0b1pl28.

* Tue Apr 06 1999 Preston Brown <pbrown@redhat.com>
- strip binaries

* Mon Apr 05 1999 Cristian Gafton <gafton@redhat.com>
- copy the source file in %prep, not move

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Mon Jan 11 1999 Erik Troan <ewt@redhat.com>
- added a sample dhcpd.conf file
- we don't need to dump rfc's in /usr/doc

* Sun Sep 13 1998 Cristian Gafton <gafton@redhat.com>
- modify dhcpd.init to exit if /etc/dhcpd.conf is not present

* Sat Jun 27 1998 Jeff Johnson <jbj@redhat.com>
- Upgraded to 2.0b1pl6 (patch1 no longer needed).

* Thu Jun 11 1998 Erik Troan <ewt@redhat.com>
- applied patch from Chris Evans which makes the server a bit more paranoid
  about dhcp requests coming in from the wire

* Mon Jun 01 1998 Erik Troan <ewt@redhat.com>
- updated to dhcp 2.0b1pl1
- got proper man pages in the package

* Tue Mar 31 1998 Erik Troan <ewt@redhat.com>
- updated to build in a buildroot properly
- don't package up the client, as it doens't work very well <sigh>

* Tue Mar 17 1998 Bryan C. Andregg <bandregg@redhat.com>
- Build rooted and corrected file listing.

* Mon Mar 16 1998 Mike Wangsmo <wanger@redhat.com>
- removed the actual inet.d links (chkconfig takes care of this for us)
  and made the %postun section handle upgrades.

* Mon Mar 16 1998 Bryan C. Andregg <bandregg@redhat.com>
- First package.
